plugins {
    id 'com.ruoyi.spring-boot-application'
    id 'com.ruoyi.kotlin-library'
}

dependencies {
    implementation 'org.springframework.boot:spring-boot-starter-data-redis'
    implementation 'org.springframework.boot:spring-boot-starter-webflux'
    implementation("org.springframework.cloud:spring-cloud-starter-gateway")
    implementation 'org.springframework.cloud:spring-cloud-gateway-webflux'
    implementation 'org.springframework.cloud:spring-cloud-starter-openfeign'
    implementation 'org.springframework.boot:spring-boot-starter-thymeleaf'
    implementation 'commons-codec:commons-codec'
    implementation("io.jsonwebtoken:jjwt-api")
    implementation("io.jsonwebtoken:jjwt-impl")
    implementation("io.jsonwebtoken:jjwt-jackson")
    implementation(fileTree("$projectDir/libs") { include("*.jar") })
    implementation project(':wxapi-gateway')
    implementation('cc-lotus.ruoyi:ruoyi-register') {
        exclude group: 'org.springframework.boot', module: 'spring-boot-starter-web'
    }
    implementation('cc-lotus.ruoyi:ruoyi-cms') {
        exclude group: 'org.springframework.boot', module: 'spring-boot-starter-web'
    }
    runtimeOnly 'mysql:mysql-connector-java'
}

tasks.named("bootJar") {
    archiveClassifier = 'boot'
    archiveFileName = "api-gateway.jar"
}

group = 'cc-lotus.cloud'
version = '2.0.0'
description = 'api-gateway 接口服务网关'
